<template>
  <div class="home container text-center">
    <h1>
      TodoList
    </h1>
    <div class="">
      <form class="" @submit.prevent="addTodoList(newTodo)">
        <input
          v-model="newTodo"
          type="text"
          class="form-control"
          placeholder="Create a new todo list"
        />
      </form>
    </div>
    <div class="">
      <div v-for="todo in todos" :key="todo.idList">
        <router-link
          :to="{
            name: 'TodoList',
            params: { idList: todo.idList }
          }"
        >
          <h2>{{ todo.name }}</h2>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import store from "@/store.js";

export default {
  name: "home",
  components: {},
  data() {
    return {
      todos: fetch("http://localhost:5000/lists", {"Content-Type": "application/json"} )
        .then(response => response.json())
        .then(res => this.todos = JSON.parse(JSON.stringify(res)))
      };
  },
  props:{
    newTodo: Array
  },
  methods: {
    addTodoList(newTodo) {
      if (newTodo.length > 0) {
        this.todos.push({
          idList: this.todos.length+1,
          name: newTodo,
          created_on: new Date(),
          tasks_list: []
        });
      }
    }
  }
};
</script>
<style scoped>
.home {
  max-width: 1400px;
  margin: 0 auto;
}
img {
  max-width: 200px;
}
.destinations {
  display: flex;
  justify-content: space-between;
}
a {
  color: lightseagreen;
  text-decoration: none;
}
a:hover,
a:visited {
  text-decoration: underline;
}
</style>
